Subject: RE: Cygwin + Oracle (Pro*C)
From: günter strubinsky <[email-masked]>
To: "'Peter A. Castro'" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 14 Mar 2003 18:59:40 -0600

günter strubinsky
 <[email-masked]>
 Tel: 402.212.0196

> -----Original Message-----
> From: Peter A. Castro [mailto:[email-masked]]
> Sent: Friday, March 14, 2003 3:47 PM
> To: günter strubinsky
> Cc: [email-masked]
> Subject: RE: Cygwin + Oracle (Pro*C)
> 
> On Fri, 14 Mar 2003, günter strubinsky wrote:
> 
> > Well, it's not as trivial. The windows installation of Oracle
> preconfigures
> > for Visual C and creates all the micro$oft junk. There is no makefile as
> > example.
> 
> This is only partially true.  While Oracle does provide a graphic
> interface for many things, most of the command line environment is also
> present, just like the unix ports.  lsnrctl is an example.  It's a
> command line utility to manipulate the listener, just like in the unix
> ports.  proc is another.  proc takes the same command lines as documented
> in the Pro*C manual.  These manuals should be available online at
> oracle.com, or on the Documentation CD which should have been shipped
> with the installation CD.
> 
> > The documentation is virtually not existent, adapting to Microsoft's
> way:
> > 'The user is too stupid to understand; keep them in the dark so they
> can't
> > harm'. That's why there is a windows GUI-application that allows one
> button
> > precompile.
> 
> This is not true.  Windows is a more graphicly inclined environment, and
> Oracle often tries to provide easy and simple tools appropriate for the
> given environment.  Windows easily accommodates graphic interfaces and
> customers often like to keep with one paradigm instead of having to
> switch between two or more.  Many unix environments might be running
> under X, but often they are just opening xterms to type commands.
> 
> > # I need to know how to invoke the precompiler manually.
> 
> Set your $PATH and go seek the manual.
> 
> > # How to compile & link the resulting C file.
> 
> This is not what your original email stated.  Compiling and linking is a
> different, but arguably related, topic from "how to get proc to work
> under cygwin".  Since proc is just a windows app, you can run it like any
> other windows app from a cygwin shell.
> 
> > It is very hard to deduct what lib's and .h files should be included,
> > especially since the directory tree is huge. I will dig around and make
> it
> > work. Sooner or later. Sooner would be naturally better.
> >
> > Therefore: if anybody got further than me. I appreciate any hints you
> > provide and will post whatever conclusions I derive. Without HTML! 8p
> 
> Common headers are provided in the public directories of the various
> products.  Most Oracle libraries under Windows are DLLs.  Check the demo
> directories under precomp for some example code and makefiles.
> 
> I'm getting the impression you want to compile & link using gcc and not
> Visual C++.  If that's the case, then this will likely not work, or at
> least will take a large amount of effort.  Oracle uses the MSVCRT runtime
> which has been proven to not mix well with cygwin and gcc runtimes.
> A little more definition on your goals would really help here.
> 

[gs] 
I apologize if I wrote so fuzzy. I assumed that when I wrote 'running proc'
everybody would imply that I don't want a resulting C program to look at but
actually to run its compilage.

I guess, it's best to download the linux install and check some of their
makefiles. My knowledge about CygWin is not sufficient enough to even guess
how friendly it is with win2k libraries.

About the dll's: 
I found by coincidence a reference to dlltool. I deduct that CygWin CAN
access dll's somehow (I am FUZZY again, this time out of ignorance). 

I uninstalled sadly enough Visual Studio 6 and replaced it with VS7 aka.
.Net. That was a bad idea and I don't have the vs6 cd's anymore. 
BUT: the msvcrt<nn>.dll and the likes are kinda public domain and can be
downloaded legally. I checked, they are here locally.

I will try with the docs available and if I can't solve it until the end of
the week, I'll tackle it with a different approach. I'll install RedHat and
Oracle for RedHat and will either go through the pain trying to adapt CygWin
or stick with RedHat. I would however have liked the original approach. It's
such a pain to reboot...fro OS to OS :(

günter

> >  günter strubinsky
> >  <[email-masked]>
> >  Tel: 402.212.0196
> >
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On Behalf
> Of
> > Peter A. Castro
> > Sent: Thursday, March 13, 2003 6:36 PM
> > To: günter strubinsky
> > Cc: [email-masked]
> > Subject: Re: Cygwin + Oracle (Pro*C)
> >
> > On Thu, 13 Mar 2003, günter strubinsky wrote:
> >
> > > Does anybody have any experience running Oracle 9i (win2k) + cygwin
> with
> > > the pro*C preprocessor? Howto?
> > >
> > > I don’t have a glue how to get proc to work under cygwin. When I
> install
> > on
> > > win2k I don’t think I can run the proC tool over the cygwin
> environment?!?
> > > Or can I install Oracle’s RedHat version?
> >
> > It should be pretty trivial.  Set your path to include $ORACLE_HOME/bin
> > (that means you have to set ORACLE_HOME first, and it probably should be
> > in DOS syntax).  ProC is just another windows command line app, so it
> > should run on top of Cygwin without any problems.  Are you having a
> > specific problem?
> >
> > > I am lost right now…
> > >  günter strubinsky
> > >  < <mailto:[email-masked]> [email-masked]>
> > >  Tel: 402.212.0196
> >
> >
> 
> --
> Peter A. Castro <[email-masked]> or <[email-masked]>
> 	"Cats are just autistic Dogs" -- Dr. Tony Attwood

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/